covsoverlap {bio3d} | R Documentation

## Covariance Overlap

### Description

Calculate the covariance overlap obtained from NMA.

### Usage

    covsoverlap(...)

    ## S3 method for class 'enma'
    covsoverlap(enma, ncore=NULL, ...)

    ## S3 method for class 'nma'
    covsoverlap(a, b, subset=NULL, ...)

### Arguments

`enma` | an object of class `"enma"` obtained from function `nma.pdbs`.
`ncore` | number of CPU cores used to do the calculation. `ncore>1` requires package ‘parallel’ installed.
`a` | a list object with elements ‘U’ and ‘L’ (e.g. as obtained from function `nma`) containing the eigenvectors and eigenvalues, respectively, to be compared with `b`.
`b` | a list object with elements ‘U’ and ‘L’ (e.g. as obtained from function `nma`) containing the eigenvectors and eigenvalues, respectively, to be compared with `a`.
`subset` | the number of modes to consider.
`...` | arguments passed to associated functions.

### Details

Covariance overlap is a measure for the similarity between two covariance matrices, e.g. obtained from NMA.

### Value

Returns the similarity coefficient(s).

### Author(s)

Lars Skjaerven

### References

Skjaerven, L. et al. (2014) BMC Bioinformatics 15, 399. Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696. Romo, T.D. et al. (2011) Proteins 79, 23–34.

### See Also

Other similarity measures: `sip`, `covsoverlap`, `bhattacharyya`.

[Package bio3d version 2.3-4 Index]